<form class="form" [formGroup]="registrationForm" (ngSubmit)="submitForm()" novalidate autocomplete="off">
  <div class="row">
    <div class="col-xs-12 form-group">
      <div class="heading" i18n>
        Location info
      </div>
    </div>
  </div>
  <div class="row">
    <div class="col-xs-12 col-md-6">
      <div class="form-group">
        <label class="form__label" for="den_jur">Denumire juridica:</label>
        <input formControlName="name" type="text" class="form-control" id="den_jur">
      </div>
    </div>
  </div>
  <div class="row">
    <div class="col-xs-12 col-md-6">
      <div class="form-group">
        <label class="form__label" for="den_com">Denumire comerciala:</label>
        <input formControlName="comercialName" type="text" class="form-control" id="den_com">
        <div class="form__alert alert alert-danger" *ngIf="registrationForm.controls['comercialName'].invalid && registrationForm.controls['comercialName'].touched">
          <div [hidden]="!registrationForm.controls['comercialName'].errors?.required">This field is required</div>
          <div [hidden]="!registrationForm.controls['comercialName'].errors?.maxlength">Max length exceeded</div>
        </div>
      </div>
    </div>
    <div class="col-xs-12 col-md-6">
      <div class="form-group">
        <label class="form__label">
          Reducere StarNet
        </label>
        <div class="row">
          <div class="col-xs-6">
            <div class="input-group">
              <input formControlName="discount" type="number" class="form-control" placeholder="Search">
              <div class="input-group-btn">
                <button class="btn btn-default" type="submit">
                  %
                </button>
              </div>
            </div>
            <div class="form__alert alert alert-danger" *ngIf="registrationForm.controls['discount'].invalid && registrationForm.controls['discount'].touched">
              <div [hidden]="!registrationForm.controls['discount'].errors?.max">Max value is 100</div>
              <div [hidden]="!registrationForm.controls['discount'].errors?.min">Min value is 7</div>
            </div>
          </div>
          <div class="col-xs-6 text-right">
            <label class="form__label" for="bronare">
              <input formControlName="reservation" type="checkbox" class="hidden" id="bronare">
              <span class="form__checkbox"></span> Activarea bronarii
            </label>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="row">
    <div class="col-xs-12 col-md-6">
      <div class="form-group">
        <label class="form__label" for="categorie">Categorie:</label>
        <select formControlName="categoryId" class="form-control" id="categorie">
          <option value="" disabled selected>Select from list</option>
          <option *ngFor="let category of categories" [value]="category.value">{{category.label}}</option>
        </select>
        <div class="form__alert alert alert-danger" *ngIf="registrationForm.controls['categoryId'].invalid && registrationForm.controls['categoryId'].touched">
          This field is required
        </div>
      </div>
    </div>
    <div class="col-xs-12 col-md-6">
      <div class="form-group">
        <label class="form__label" for="categorie">Selectati suma medie a comezii unice:</label>
        <select formControlName="averageFeeId" class="form-control" id="categorie">
          <option value="" disabled selected>Select from list</option>
          <option *ngFor="let fee of fees" [value]="fee.value">{{fee.label}} lei</option>
        </select>
        <div class="form__alert alert alert-danger" *ngIf="registrationForm.controls['averageFeeId'].invalid && registrationForm.controls['averageFeeId'].touched">
          This field is required
        </div>
      </div>
    </div>
  </div>
  <div class="row">
    <div class="col-xs-12 col-md-6">
      <div class="form-group">
        <label class="form__label" for="desc-ro">Description RO:</label>
        <textarea formControlName="descriptionRo" class="form-control noresize" rows="5" id="desc-ro"></textarea>
        <div class="form__alert alert alert-danger" *ngIf="registrationForm.controls['descriptionRo'].invalid && registrationForm.controls['descriptionRo'].touched">
          <div [hidden]="!registrationForm.controls['descriptionRo'].errors?.required">This field is required</div>
          <div [hidden]="!registrationForm.controls['descriptionRo'].errors?.maxlength">Max length exceeded</div>
        </div>
      </div>
    </div>
    <div class="col-xs-12 col-md-6">
      <div class="form-group">
        <label class="form__label" for="desc-ru">Description RU:</label>
        <textarea formControlName="descriptionRu" class="form-control noresize" rows="5" id="desc-ru"></textarea>
        <div class="form__alert alert alert-danger" *ngIf="registrationForm.controls['descriptionRu'].invalid && registrationForm.controls['descriptionRu'].touched">
          <div [hidden]="!registrationForm.controls['descriptionRu'].errors?.required">This field is required</div>
          <div [hidden]="!registrationForm.controls['descriptionRu'].errors?.maxlength">Max length exceeded</div>
        </div>
      </div>
    </div>
  </div>
  <div class="row form__submit_area">
    <div class="col-md-offset-6 col-md-3">
      <button class="btn btn-block" (click)="cancelForm()">Cancel</button>
    </div>
    <div class="col-md-3">
      <button class="btn btn-success btn-block" (click)="submitForm()">Next</button>
    </div>
  </div>
</form>
